%define upstream_name    IPC-Run3
%define upstream_version 0.049

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Run a subprocess in batch mode (a la system)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.310.0
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%description
IPC::Run3 allows you run and interact with child processes using files,
pipes, and pseudo-ttys. Both system()-style and scripted usages are
supported and may be mixed. Likewise, functional and OO API styles are
both supported and may be mixed. 

Various redirection operators reminiscent of those seen on common Unix
and DOS command lines are provided. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 's#/usr/local/bin/#%{_bindir}/#' bin/run3profpp

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install
mkdir -p %{buildroot}/%{_bindir}
cp bin/* %{buildroot}/%{_bindir}
chmod 0755 %{buildroot}/%{_bindir}/*

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/IPC
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Mon Jan 22 2024 tv <tv> 0.49.0-1.mga10
+ Revision: 2033543
- update to 0.049

* Sun Mar 20 2022 umeabot <umeabot> 0.48.0-8.mga9
+ Revision: 1804147
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.48.0-7.mga8
+ Revision: 1495191
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.48.0-6.mga7
+ Revision: 1268843
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.48.0-5.mga6
+ Revision: 1028802
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.48.0-4.mga6
+ Revision: 940990
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.48.0-3.mga5
+ Revision: 741592
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.48.0-2.mga5
+ Revision: 685102
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.48.0-1.mga5
+ Revision: 614830
- update to 0.048

* Sat Oct 19 2013 umeabot <umeabot> 0.46.0-2.mga4
+ Revision: 528715
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.46.0-1.mga4
+ Revision: 446992
- update to 0.046

* Sun Jan 13 2013 umeabot <umeabot> 0.45.0-2.mga3
+ Revision: 368643
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 04 2012 jquelin <jquelin> 0.45.0-1.mga2
+ Revision: 190321
- update to 0.045

* Wed Jan 19 2011 jquelin <jquelin> 0.44.0-1.mga1
+ Revision: 24374
- fix specs
- imported package perl-IPC-Run3

